# PluginRepositoriesSpec

API Documentation: | `PluginRepositoriesSpec`

Note: This class is incubating and may change in a future version of Gradle.

Used to declare `PluginRepository` instances.

Plugin repositories added via this interface will used to resolve plugins specified in the `plugins {}` block.

### Properties

No properties

### Methods

Method | Description
`gradlePluginPortal()` | Incubating Adds the Gradle Plugin Portal (plugins.gradle.org) as a plugin repository.
`ivy(action)` | Incubating Adds and configures an `IvyPluginRepository`.
`maven(action)` | Incubating Adds and configures a `MavenPluginRepository`.

### Script blocks

No script blocks

### Method details

#### `GradlePluginPortal` `gradlePluginPortal`()

Note: This method is incubating and may change in a future version of Gradle.

Adds the Gradle Plugin Portal (plugins.gradle.org) as a plugin repository.

#### `IvyPluginRepository` `ivy`(``Action`<? super `IvyPluginRepository`>` action)

Note: This method is incubating and may change in a future version of Gradle.

Adds and configures an `IvyPluginRepository`.

#### `MavenPluginRepository` `maven`(``Action`<? super `MavenPluginRepository`>` action)

Note: This method is incubating and may change in a future version of Gradle.

Adds and configures a `MavenPluginRepository`.